## decodebin3 decodebin3 |

## Description

GstBin that auto-magically constructs a decoding pipeline using available decoders and demuxers via auto-plugging. The output is raw audio, video or subtitle streams.

decodebin3 differs from the previous decodebin (decodebin2) in important ways:

- supports publication and selection of stream information via GstStreamCollection messages and GST_EVENT_SELECT_STREAM events.

- dynamically switches stream connections internally, and reuses decoder elements when stream selections change, so that in the normal case it maintains 1 decoder of each type (video/audio/subtitle) and only creates new elements when streams change and an existing decoder is not capable of handling the new format.

- supports multiple input pads for the parallel decoding of auxilliary streams not muxed with the primary stream.

- does not handle network stream buffering. decodebin3 expects that network stream buffering is handled upstream, before data is passed to it.

decodebin3 is still experimental API and a technology preview. Its behaviour and exposed API is subject to change.

## Synopsis

### Element Information

plugin | playback
author | Edward Hervey <edward@centricular.com>
class | Generic/Bin/Decoder

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | sink_%u
direction | sink
presence | request
details | ANY

name | audio_%u
direction | source
presence | sometimes
details | ANY

name | src_%u
direction | source
presence | sometimes
details | ANY

name | text_%u
direction | source
presence | sometimes
details | ANY

name | video_%u
direction | source
presence | sometimes
details | ANY

## Functions

## Types and Values